C 20/03/97                                                      DWBA98  SIGM-000
      FUNCTION SIGM(ETA)                                                SIGM-001
C  COULOMB PHASE SHIFT SIGMA0                                           SIGM-002
      IMPLICIT REAL*8 (A-H,O-Z)                                         SIGM-003
      DIMENSION C(2,13)                                                 SIGM-004
      DATA C1,C2,C3,C4,C5,C6,C7,C /8.333333333333333D-2,-2.7777777777777SIGM-005
     178D-3,7.936507936507937D-4,-5.952380952380952D-4,8.417508417508417SIGM-006
     2D-4,-1.917526917526918D-3,6.41025641025641D-3,1.D-16,1.4D-15,-5.4DSIGM-007
     3-15,-2.07D-14,5.1D-13,-3.6968D-12,7.7823D-12,1.043427D-10,-1.18127SIGM-008
     446D-9,5.0020075D-9,6.116095D-9,-2.056338417D-7,1.133027232D-6,-1.2SIGM-009
     5504934821D-6,-2.01348547807D-5,1.280502823882D-4,-2.152416741149D-SIGM-010
     64,-1.1651675918591D-3,7.218943246663D-3,-9.621971527877D-3,-4.2197SIGM-011
     77345555443D-2,.1665386113822915D0,-4.20026350340952D-2,-.655878071SIGM-012
     85202538D0,.5772156649015329D0,1.D0/                               SIGM-013
      IF (DABS(ETA).GT.1.D-16) GO TO 1                                  SIGM-014
      SIGM=-C(1,13)*ETA                                                 SIGM-015
      GO TO 5                                                           SIGM-016
    1 E=ETA*ETA                                                         SIGM-017
      IF (E.GT.1.D0) GO TO 3                                            SIGM-018
      X=C(1,1)                                                          SIGM-019
      Y=C(2,1)                                                          SIGM-020
      DO 2 I=2,13                                                       SIGM-021
      X=C(1,I)-E*X                                                      SIGM-022
    2 Y=C(2,I)-E*Y                                                      SIGM-023
      SIGM=-DATAN2(ETA*X,Y)                                             SIGM-024
      GO TO 5                                                           SIGM-025
    3 L=1                                                               SIGM-026
      IF (E.LT.64.D0) L=2.D0+DSQRT(64.D0-E)                             SIGM-027
      Z=L                                                               SIGM-028
      X=DSQRT(Z*Z+E)                                                    SIGM-029
      Y=DATAN2(ETA,Z)                                                   SIGM-030
      E=1.D0/(Z*Z+E)                                                    SIGM-031
      SIGM=ETA*(DLOG(X)-1.D0)+(Z-.5D0)*Y-(C1*DSIN(Y)+E*(C2*DSIN(3.D0*Y)+SIGM-032
     1E*(C3*DSIN(5.D0*Y)+E*(C4*DSIN(7.D0*Y)+E*(C5*DSIN(9.D0*Y)+E*(C6*DSISIGM-033
     2N(11.D0*Y)+E*C7*DSIN(13.D0*Y)))))))/X                             SIGM-034
      IF (L.EQ.1) GO TO 5                                               SIGM-035
      J=L-1                                                             SIGM-036
      DO 4 I=1,J                                                        SIGM-037
      Z=Z-1.D0                                                          SIGM-038
    4 SIGM=SIGM-DATAN2(ETA,Z)                                           SIGM-039
    5 RETURN                                                            SIGM-040
      END                                                               SIGM-041
